# \hhu\z\modelsUploadsModel

Model to handle files to upload.

## Summary

Methods
Properties
Constants
__construct()
load()
factory()
uploadSeminaryFile()
getSeminaryuploadById()
getSeminaryuploadByUrl()
No public properties found
No constants found
No protected methods found
$db
N/A
loadDriver()
connect()
getClassName()
loadModels()
No private properties found
N/A

File
  models/UploadsModel.inc
Package
  Default
Class hierarchy
  \nre\core\Model
  \nre\models\DatabaseModel
  \hhu\z\Model
  \hhu\z\models\UploadsModel

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $db

    $db : \nre\models\DatabaseDriver

Database connection

#### Type

\nre\models\DatabaseDriver

#

Inherited from
  \nre\models\DatabaseModel

## Tags

static |

## Methods

### __construct()

    __construct()

Construct a new UploadsModel.

TODO Catch exception

#

## Tags

None found

### load()

    load(string  $modelName)

Load the class of a Model.

#### Parameters

string | $modelName | Name of the Model to load

#### Throws

\nre\exceptions\ModelNotFoundException
\nre\exceptions\ModelNotValidException

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### factory()

    factory(string  $modelName)

Instantiate a Model (Factory Pattern).

#### Parameters

string | $modelName | Name of the Model to instantiate

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### uploadSeminaryFile()

    uploadSeminaryFile(integer  $userId, integer  $seminaryId, string  $name, string  $filename, string  $tmpFilename, string  $mimetype) : mixed

Upload a file and create a database record.

#### Parameters

integer | $userId | ID of user that uploads the file
integer | $seminaryId | ID of Seminary
string | $name | Name of file to upload
string | $filename | Filename of file to upload
string | $tmpFilename | Name of temporary uploaded file
string | $mimetype | Mimetype of file to upload

#### Returns

mixed —

ID of database record or false

#

## Tags

None found

### getSeminaryuploadById()

    getSeminaryuploadById(  $seminaryuploadId) : array

Get an upload by its ID.

#### Parameters

| $seminaryuploadId |

#### Throws

\nre\exceptions\IdNotFoundException

#### Returns

array —

Upload data

#

## Tags

None found

### getSeminaryuploadByUrl()

    getSeminaryuploadByUrl(integer  $seminaryId,   $seminaryuploadUrl) : array

Get an upload by its URL.

#### Parameters

integer | $seminaryId | ID of Seminary
| $seminaryuploadUrl |

#### Throws

\nre\exceptions\IdNotFoundException

#### Returns

array —

Upload data

#

## Tags

None found

### loadDriver()

    loadDriver(string  $driverName)

Load the database driver.

#### Parameters

string | $driverName | Name of the database driver

#### Throws

\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException

#

Inherited from
  \nre\models\DatabaseModel

## Tags

None found

### connect()

    connect(string  $driverName, array  $config)

Establish a connection to the database.

#### Parameters

string | $driverName | Name of the database driver
array | $config | Connection settings

#### Throws

\nre\exceptions\DatamodelException

#

Inherited from
  \nre\models\DatabaseModel

## Tags

None found

### getClassName()

    getClassName(string  $modelName) : string

Determine the classname for the given Model name.

#### Parameters

string | $modelName | Model name to get classname of

#### Returns

string —

Classname fore the Model name

#

static

Inherited from
  \nre\core\Model

## Tags

None found

### loadModels()

    loadModels()

Load the Models of this Model.

#### Throws

\nre\exceptions\DatamodelException
\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException
\nre\exceptions\ModelNotValidException
\nre\exceptions\ModelNotFoundException

#

Inherited from
  \nre\core\Model

## Tags

None found

### UploadsModel.inc